Bug 1069165 (JON3-53, PRODMGT-661) - Add support for Oracle 12c
Summary: Add support for Oracle 12c
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: JON3-53, PRODMGT-661
Product: JBoss Operations Network
Classification: JBoss
Component: Database
Version: JON 3.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: DR01
: JON 3.3.0
Assignee: Jay Shaughnessy
QA Contact: Sunil Kondkar
URL:
Whiteboard:
Depends On: 1057300
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-24 11:42 UTC by Heiko W. Rupp
Modified: 2018-12-06 15:56 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
JBoss ON now also supports Oracle 12c as a backend database. Oracle 11c is becoming end of life.
Clone Of: 1057300
: 1085900 (view as bug list)
Environment:
Last Closed: 2014-12-11 13:59:58 UTC
Type: Task


Attachments (Terms of Use)
Testing evidence (49.71 KB, application/zip)
2014-04-09 14:33 UTC, Mike Foley
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 699703 None None None Never
JBoss Issue Tracker JON3-53 Critical Closed Add Support for Oracle 12 in JBoss ON [PRODMGT-661] 2015-02-09 22:50:40 UTC
JBoss Issue Tracker PRODMGT-661 Major Pending Product Management Triage Add Support for Oracle 12 in JBoss ON 2014-09-03 12:07:55 UTC

Description Heiko W. Rupp 2014-02-24 11:42:25 UTC
+++ This bug was initially created as a clone of Bug #1057300 +++

Description of problem:
Since the current release of Oracle 11.2 will come off of support in Jan 2015, can you add support in RHQ/JON for Oracle 12

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 3 JBoss JIRA Server 2014-03-31 19:08:01 UTC
Heiko Rupp <hrupp@redhat.com> updated the status of jira JON3-53 to Resolved

Comment 4 Mike Foley 2014-03-31 19:14:39 UTC
QE qualification test documentation will be on this ticket 

https://engineering.redhat.com/trac/jon/ticket/1157

Comment 6 Mike Foley 2014-04-09 14:33:03 UTC
Created attachment 884527 [details]
Testing evidence

Comment 13 Simeon Pinder 2014-07-31 15:52:00 UTC
Moving to ON_QA as available to test with brew build of DR01: https://brewweb.devel.redhat.com//buildinfo?buildID=373993

Comment 14 Sunil Kondkar 2014-08-07 13:31:10 UTC
Verified on Version :3.3.0.DR01 Build Number : 6468454:dda0a47

Verified on a clean install of Oracle 12c with setting user's tablespace quota:
ALTER USER rhqadmin QUOTA 12G ON USERS;

Verified that the installation is successful without errors in server log, Discovery and import is successful. 

Also verified that smoke tests are pass on Oracle12c.
https://tcms.engineering.redhat.com/run/165966/

Comment 16 JBoss JIRA Server 2015-02-09 22:50:40 UTC
Larry O'Leary <loleary@redhat.com> updated the status of jira JON3-53 to Closed


Note You need to log in before you can comment on or make changes to this bug.